<?php
/**
 * Connected account.
 *
 * @var string $label     Label for connection.
 * @var string $key       Connection key.
 * @var string $core_slug Integration slug.
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>
<li>
	<span class="label"><?php echo esc_html( $label ); ?></span>
	<span class="date">
		<?php
		echo esc_html(
			sprintf( /* translators: %1$s - Connection date. */
				__( 'Connected on: %1$s', 'wpforms-aweber' ),
				wpforms_date_format( time(), '', true )
			)
		);
		?>
	</span>
	<span class="remove">
		<a href="#"
			data-provider="<?php echo esc_attr( $core_slug ); ?>"
			data-key="<?php echo esc_attr( $key ); ?>">
			<?php esc_html_e( 'Disconnect', 'wpforms-aweber' ); ?>
		</a>
	</span>
</li>
